import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["button"];
import PropTypes from 'prop-types';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var BASE_CLASS = 'sui-AtomInput-withButton';

var withButton = function withButton(WrappedInput) {
  var Input = function Input(_ref) {
    var button = _ref.button,
        props = _objectWithoutPropertiesLoose(_ref, _excluded);

    return button ? /*#__PURE__*/_jsxs("div", {
      className: BASE_CLASS,
      children: [/*#__PURE__*/_jsx("div", {
        className: BASE_CLASS + "-input",
        children: /*#__PURE__*/_jsx(WrappedInput, _extends({}, props))
      }), /*#__PURE__*/_jsx("div", {
        className: BASE_CLASS + "-button",
        children: button
      })]
    }) : /*#__PURE__*/_jsx(WrappedInput, _extends({}, props));
  };

  return Input;
};

export default withButton;